PCP-BUDDYINFO(1)

NAME
pcp-buddyinfo - Report statistics for buddy algorithm shown in cat /proc/buddyinfo

SYNOPSIS
pcp [pcp options] buddyinfo [-s samples] [-a archive] [-Z --timezone] [-z --hostzone] [-V Version]

DESCRIPTION
The pcp-buddyinfo command is used for viewing different stats related to buddyinfo. It helps users analyze useful information related to the buddy algorithm. The information includes the total number of zones that are currently active, order pages etc. By default, pcp-buddyinfo reports live data for the local host.

The statistics shown are as follows:

HEADER DESCRIPTION
_ _
Normal zones available
Nodes available nodes
Order0 available pages of order 0
Order1 available pages of order 1
Order2 available pages of order 2
Order3 available pages of order 3
Order4 available pages of order 4
Order5 available pages of order 5
Order6 available pages of order 6
Order7 available pages of order 7
Order8 available pages of order 8
Order9 available pages of order 9
Order10 available pages of order 10

Each column represents the number of pages of a certain order (a certain size) that are available at any given time. For example, for zone DMA (direct memory access), there are 90 of 2^(0*PAGE_SIZE) chunks of memory. Similarly, there are 6 of 2^(1*PAGE_SIZE) chunks, and 2 of 2^(2*PAGE_SIZE) chunks of memory available.

The DMA row references the first 16 MB on a system, the HighMem row references all memory greater than 4 GB on a system, and the Normal row references all memory in between.

OPTIONS

-a, --archive
    Fetch /proc/buddyinfo for a specified archive file

-s, --samples
    Get the buddyinfo for the specified number of samples count

-z, --hostzone
    Set the reporting timezone to the local time of metrics source

-Z, --timezone
    Set the reporting timezone

-V, --version
    Display the version number and exit.

-?, --help
    Display the usage message and exit.

NOTES
pcp-buddyinfo collects information from /proc/buddyinfo and aims to be command-line and output compatible with it.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmParseInterval(3), environ(7).